QScintilla 2.14.1

Public Member Functions | List of all members
QsciLexerJava Class Reference

`#include <qscilexerjava.h>`

Inherits QsciLexerCPP.

## Public Member Functions
| QsciLexerJava (QObject *parent=0)
virtual | ~QsciLexerJava ()
const char * | language () const
const char * | keywords (int set) const
Public Member Functions inherited from QsciLexerCPP
| QsciLexerCPP (QObject *parent=0, bool caseInsensitiveKeywords=false)
virtual | ~QsciLexerCPP ()
const char * | lexer () const
QStringList | autoCompletionWordSeparators () const
const char * | blockEnd (int *style=0) const
const char * | blockStart (int *style=0) const
const char * | blockStartKeyword (int *style=0) const
int | braceStyle () const
const char * | wordCharacters () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
QString | description (int style) const
void | refreshProperties ()
bool | foldAtElse () const
bool | foldComments () const
bool | foldCompact () const
bool | foldPreprocessor () const
bool | stylePreprocessor () const
void | setDollarsAllowed (bool allowed)
bool | dollarsAllowed () const
void | setHighlightTripleQuotedStrings (bool enabled)
bool | highlightTripleQuotedStrings () const
void | setHighlightHashQuotedStrings (bool enabled)
bool | highlightHashQuotedStrings () const
void | setHighlightBackQuotedStrings (bool enabled)
bool | highlightBackQuotedStrings () const
void | setHighlightEscapeSequences (bool enabled)
bool | highlightEscapeSequences () const
void | setVerbatimStringEscapeSequencesAllowed (bool allowed)
bool | verbatimStringEscapeSequencesAllowed () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
int | autoIndentStyle ()
virtual int | blockLookback () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Additional Inherited Members
Public Types inherited from QsciLexerCPP
enum | { Default = 0, InactiveDefault = Default + 64, Comment = 1, InactiveComment = Comment + 64, CommentLine = 2, InactiveCommentLine = CommentLine + 64, CommentDoc = 3, InactiveCommentDoc = CommentDoc + 64, Number = 4, InactiveNumber = Number + 64, Keyword = 5, InactiveKeyword = Keyword + 64, DoubleQuotedString = 6, InactiveDoubleQuotedString = DoubleQuotedString + 64, SingleQuotedString = 7, InactiveSingleQuotedString = SingleQuotedString + 64, UUID = 8, InactiveUUID = UUID + 64, PreProcessor = 9, InactivePreProcessor = PreProcessor + 64, Operator = 10, InactiveOperator = Operator + 64, Identifier = 11, InactiveIdentifier = Identifier + 64, UnclosedString = 12, InactiveUnclosedString = UnclosedString + 64, VerbatimString = 13, InactiveVerbatimString = VerbatimString + 64, Regex = 14, InactiveRegex = Regex + 64, CommentLineDoc = 15, InactiveCommentLineDoc = CommentLineDoc + 64, KeywordSet2 = 16, InactiveKeywordSet2 = KeywordSet2 + 64, CommentDocKeyword = 17, InactiveCommentDocKeyword = CommentDocKeyword + 64, CommentDocKeywordError = 18, InactiveCommentDocKeywordError = CommentDocKeywordError + 64, GlobalClass = 19, InactiveGlobalClass = GlobalClass + 64, RawString = 20, InactiveRawString = RawString + 64, TripleQuotedVerbatimString = 21, InactiveTripleQuotedVerbatimString = TripleQuotedVerbatimString + 64, HashQuotedString = 22, InactiveHashQuotedString = HashQuotedString + 64, PreProcessorComment = 23, InactivePreProcessorComment = PreProcessorComment + 64, PreProcessorCommentLineDoc = 24, InactivePreProcessorCommentLineDoc = PreProcessorCommentLineDoc + 64, UserLiteral = 25, InactiveUserLiteral = UserLiteral + 64, TaskMarker = 26, InactiveTaskMarker = TaskMarker + 64, EscapeSequence = 27, InactiveEscapeSequence = EscapeSequence + 64 }
Public Slots inherited from QsciLexerCPP
virtual void | setFoldAtElse (bool fold)
virtual void | setFoldComments (bool fold)
virtual void | setFoldCompact (bool fold)
virtual void | setFoldPreprocessor (bool fold)
virtual void | setStylePreprocessor (bool style)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)
Protected Member Functions inherited from QsciLexerCPP
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Detailed Description

The QsciLexerJava class encapsulates the Scintilla Java lexer.

## Constructor & Destructor Documentation

## ◆ QsciLexerJava()

QsciLexerJava::QsciLexerJava | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerJava with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ keywords()

const char* QsciLexerJava::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerCPP.